%define modname cryptography-vectors
%define pymodname cryptography_vectors

Summary:	Test vectors for the cryptography package
Name:		python-%{modname}
Version:	1.7.2
Release:	1
Epoch:		1
Group:		Development/Python
License:	ASL 2.0 or BSD
Url:		https://cryptography.io
Source0:	https://pypi.io/packages/source/c/%{modname}/%{pymodname}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
BuildArch:	noarch

%description
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%files
%doc LICENSE
%{py_puresitedir}/%{pymodname}/
%{py_puresitedir}/%{pymodname}-%{version}*

#----------------------------------------------------------------------------

%package -n python3-%{modname}
Summary:	Test vectors for the cryptography package
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	pkgconfig(python3)

%description -n python3-%{modname}
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%files -n python3-%{modname}
%doc LICENSE
%{py3_puresitedir}/%{pymodname}/
%{py3_puresitedir}/%{pymodname}-%{version}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{pymodname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %__python setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %__python3 setup.py build
popd

%install
%__python setup.py install -O1 --skip-build --root=%{buildroot}

pushd %{py3dir}
%__python3 setup.py install -O1 --skip-build --root=%{buildroot}
popd

%check
%py_test
%py3_test


%changelog

* Thu Sep 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:1.7.2-1
- (00fd0a4) New version 1.7.2


